/* Servos Vegen
 *  
 * Laat de vier Servo's van de Simple Walker heen en weer bewegen.
 *
 * Gemaakt: November 2016
 * Door Simon Pauw, ZB45
 * www.SimpleWalker.com
 */


#include <Servo.h>

/* Definieer 4 servo's voor de 4 servopinnen. */
Servo mijnServo1;
Servo mijnServo2;
Servo mijnServo3;
Servo mijnServo4;

/* Setup: wordt uitgevoerd bij het opstarten van de Simple Walker. */

void setup()
{
  // Initialiseer servo's
  mijnServo1.attach(6);
  mijnServo2.attach(7);
  mijnServo3.attach(8);
  mijnServo4.attach(9);
}

/* Loop: wordt herhaald tot de Simple Walker uit wordt gezet. */
void loop()
{
  // Laat servo's geleidelijk van 0 naar 180 graden bewegen.
  for (int i = 0; i < 180; i++) {
    mijnServo1.write(i);
    mijnServo2.write(i);
    mijnServo3.write(i);
    mijnServo4.write(i);
    delay(10);
  }
  
  // Laat servo's geleidelijk van 180 naar 0 graden bewegen.
  for (int i = 180; i > 0; i--) {
    mijnServo1.write(i);
    mijnServo2.write(i);
    mijnServo3.write(i);
    mijnServo4.write(i);
    delay(10);
  }
}

